### Method

# Gtk Windowpresent_with_time

deprecated: 4.14

#### Declaration [src]

    void
    gtk_window_present_with_time (
      GtkWindow* window,
      guint32 timestamp
    )

#### Description [src]

Presents a window to the user in response to an user interaction.

See `gtk_window_present()` for more details.

The timestamp should be gathered when the window was requested to be shown (when clicking a link for example), rather than once the window is ready to be shown.

Deprecated since: 4.14

Use `gtk_window_present()`

#### Parameters

`timestamp`

  Type: `guint32`

  The timestamp of the user interaction (typically a button or key press event) which triggered this call.